Add test-aggregate-results.sh
This script aggregates test results using Sharness.
Christian Couder committed
Oct 25, 2014 at 11:57 UTC
0aebe75361be896861d222fc42c59a13de4c6021
1 file changed
+19
test/test-aggregate-results.sh
new
+19
@@ -0,0 +1,19 @@
1
+#!/bin/sh
2
+#
3
+# Script to aggregate results using Sharness
4
+#
5
+# Copyright (c) 2014 Christian Couder
6
+# MIT Licensed; see the LICENSE file in this repository.
7
+#
8
+
9
+. ./test-sharness-config.sh
10
+
11
+SHARNESS_AGGREGATE="$SHARNESS_DIRECTORY/aggregate-results.sh"
12
+
13
+test -f "$SHARNESS_AGGREGATE" || {
14
+ echo >&2 "Cannot find: $SHARNESS_AGGREGATE"
15
+ echo >&2 "Please check Sharness installation."
16
+ exit 1
17
+}
18
+
19
+ls test-results/t*-*.sh.*.counts | "$SHARNESS_AGGREGATE"